function FaraFrames_InitSlider(slider)
    local sl = getglobal(slider)
	sl.tooltipText = "Sets filter value"; 
	getglobal(slider .. "Low"):SetText("1");
	getglobal(slider .. "High"):SetText("100"); 
	getglobal(slider .. "Text"):SetText("50");
end



StaticPopupDialogs["OCAlarm"] = {
  text = "Do you want to perform the daily scan?",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
	OnlineCheck:NumberOn("1");
  end,
  timeout = 0,
  whileDead = 1,
  hideOnEscape = 1
};




StaticPopupDialogs["ResetCheck"] = {
  text = "WARNING This will reset all data collected to 0. <This cannot be undone!>",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
	OnlineCheck:Reset();
  end,
  timeout = 0,
  whileDead = 1,
  hideOnEscape = 1
};



StaticPopupDialogs["SaveCheck"] = {
  text = "Do you want save the changes? (This will reload the UI) <This cannot be undone!>",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
	ReloadUI();
  end,
  timeout = 0,
  whileDead = 1,
  hideOnEscape = 1
};




StaticPopupDialogs["OnlineCheck"] = {
  text = "Do you want check who is online?",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
	OnlineCheck:NumberOn("1");
  end,
  timeout = 0,
  whileDead = 1,
  hideOnEscape = 1
};




StaticPopupDialogs["UndoCheck"] = {
  text = "Are you sure you want to undo the check? (This will discard all changes made this session)",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
	OnlineCheck:UndoCheck();
  end,
  timeout = 0,
  whileDead = 1,
  hideOnEscape = 1
};



StaticPopupDialogs["OnlineReCheck"] = {
  text = "Do you want check who is online? (This will discard previous changes)",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
	OnlineCheck:NumberOn("2");
  end,
  timeout = 0,
  whileDead = 1,
  hideOnEscape = 1
};



